> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1beta/models/{model}:predictLongRunning

> Veo 비디오 생성과 같은 장기 실행 Gemini 예측 작업을 제출합니다.

このエンドポイントを使用して、Veo スタイルの長時間実行ビデオ生成リクエストを送信します。

* 一般的な認証パターンは `x-goog-api-key: {API_KEY}` ですが、クエリ文字列 API キーもサポートされています
* このエンドポイントは、最終的なビデオ コンテンツではなく、長時間実行される操作ハンドルを返します。
* 返された操作名または ID を後のポーリングのために保持します
* 完了を追跡するには、`/v1beta/operations/{operation_id}` をポーリングする必要があります


## OpenAPI

````yaml POST /v1beta/models/{model}:predictLongRunning
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://maas.apigo.ai
security:
  - bearerAuth: []
paths:
  /v1beta/models/{model}:predictLongRunning:
    post:
      summary: Gemini predictLongRunning
      description: >-
        Submits a long-running Gemini prediction task such as Veo video
        generation.
      parameters:
        - name: model
          in: path
          description: Gemini model name.
          required: true
          schema:
            type: string
            example: veo-3.0-generate-preview
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeminiPredictLongRunningRequest'
            example:
              instances:
                - prompt: 一只小猫在花园中奔跑
              parameters:
                durationSeconds: 5
                aspectRatio: '16:9'
      responses:
        '200':
          description: Successful long-running operation creation response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeminiOperation'
              example:
                name: operations/abc123
                done: false
                metadata:
                  progressPercent: 0
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - googleApiKey: []
components:
  schemas:
    GeminiPredictLongRunningRequest:
      type: object
      required:
        - instances
      properties:
        instances:
          type: array
          items:
            type: object
            additionalProperties: true
        parameters:
          type: object
          additionalProperties: true
    GeminiOperation:
      type: object
      properties:
        name:
          type: string
        metadata:
          type: object
          additionalProperties: true
        done:
          type: boolean
        response:
          type: object
          additionalProperties: true
        error:
          $ref: '#/components/schemas/GeminiOperationError'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    GeminiOperationError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
        status:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    googleApiKey:
      type: apiKey
      in: header
      name: x-goog-api-key

````